package com.sw.mes.yb.pc.service;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.yb.pc.entity.StoreMixInfoItem;

import java.util.List;

public interface StoreMixInfoItemService extends BaseService<StoreMixInfoItem> {
    /**
     * 根据配料id
     * @param storeMixInfoId
     * @return
     */
    List<StoreMixInfoItem> findByStoreMixInfo_Id(Integer storeMixInfoId);

    void deleteByStoreMixInfo_Id(Integer storeMixInfoId);

    void backOff(Integer[] ids) throws Exception;

    List<StoreMixInfoItem> getByLotNo(String lotNo);

//    // 初始化料
//    void handleGi(String lotNo);
//
//    // 沾渣
//    void handleZZ(String lotNo);

}


